## com.baidubce.services.lss.model
Class Hls

    java.lang.Object
      com.baidubce.services.lss.model.Hls

    public class Hls

extends Object

Constructor Summary
`Hls()`

Method Summary
`Boolean` `getAdaptive()` 是否需要自适应码率
`Integer` `getSegmentListSize()` m3u8文件中切片的个数
`Integer` `getSegmentTimeInSecond()` hls分片的长度
`void` `setAdaptive(Boolean adaptive)`
`void` `setSegmentListSize(Integer segmentListSize)`
`void` `setSegmentTimeInSecond(Integer segmentTimeInSecond)`
`String` `toString()`
`Hls` `withAdaptive(Boolean adaptive)`
`Hls` `withSegmentListSize(Integer segmentListSize)`
`Hls` `withSegmentTimeInSecond(Integer segmentTimeInSecond)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Hls

    public Hls()

Method Detail

### getSegmentTimeInSecond

    public Integer getSegmentTimeInSecond()

  hls分片的长度

### setSegmentTimeInSecond

    public void setSegmentTimeInSecond(Integer segmentTimeInSecond)

### withSegmentTimeInSecond

    public Hls withSegmentTimeInSecond(Integer segmentTimeInSecond)

### getSegmentListSize

    public Integer getSegmentListSize()

  m3u8文件中切片的个数

### setSegmentListSize

    public void setSegmentListSize(Integer segmentListSize)

### withSegmentListSize

    public Hls withSegmentListSize(Integer segmentListSize)

### getAdaptive

    public Boolean getAdaptive()

  是否需要自适应码率

### setAdaptive

    public void setAdaptive(Boolean adaptive)

### withAdaptive

    public Hls withAdaptive(Boolean adaptive)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.